Name:           dnscap
Version:        1.0
Release:        0.10.20070807cvs%{?dist}
Summary:        DNS traffic capture utility

Group:          Applications/Internet
License:        ISC
URL:            http://public.oarci.net/tools/dnscap
Source0:        dnscap-20070807cvs.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpcap-devel, libbind-devel, autoconf, automake, libtool
BuildRequires:  groff, pkgconfig

Patch0:         dnscap-1.0-isc_list.patch
Patch1:         dnscap-1.0-warns.patch
Patch2:         dnscap-1.0-system.patch

%description
dnscap is a network capture utility designed specifically for DNS traffic. It
produces binary data in pcap(3) format, either on standard output or in
successive dump files. This utility is similar to tcpdump(1), but has finer 
grained packet recognition tailored to DNS transactions and protocol options

%prep
%setup -q -n dnscap-20070807cvs

sed -i 's/-Werror//' configure.ac

%patch0 -p1 -b .isc_list
%patch1 -p1 -b .warns
%patch2 -p1 -b .system

%build
autoreconf --install
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sbindir}/dnscap
%{_mandir}/man1/dnscap.1.gz

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.10.20070807cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 30 2009 Adam Tkac <atkac redhat com> 1.0-0.9.20070807cvs
- remove hardcoded dependencies on libpcap and bind-libs
- fix building with the latest gcc

* Mon Mar 09 2009 Adam Tkac <atkac redhat com> 1.0-0.8.20070807cvs
- replace bind-devel by libbind-devel

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.20070807cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-0.6.20070807cvs
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Adam Tkac <atkac redhat com> 1.0-0.5.20070807cvs
- rebuild (to get BuildID feature)

* Tue Aug 7 2007 Adam Tkac <atkac redhat com> 1.0-0.4.20070807cvs
- handle return value of system() function

* Tue Aug 7 2007 Adam Tkac <atkac redhat com> 1.0-0.3.20070807cvs
- updated to latest cvs
- use libbind's isc/list API

* Mon Aug 6 2007 Adam Tkac <atkac redhat com> 1.0-0.2.20070516cvs
- changed license to ISC
- fixed release number

* Wed Aug 2 2007 Adam Tkac <atkac redhat com> 1.0-0.1.rc5
- initial package
